<?php
if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}



function GRKG_plugin_dashboard() {
	
	$cWoo = "";
	$cBBp = "";
	
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		$cWoo = 1;
	}		
	
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		$cBBp = 1;
	}
	

	//Check Curl
	if( get_option("GRKG_start") == 1) {
		$curlCheck = GRKG_is_curl_installed();
	} else {
		$curlCheck = true;
	}
	
	//setUp Locale
	if( get_option("GRKG_locale") == "" ) {
		$locale = get_locale();
	} else {
		$locale = get_option("GRKG_locale");
	}
		
		
	//setUp Limit
	if( get_option("GRKG_limit") == "" ) {
		$limit = "10";
	} else {
		$limit = get_option("GRKG_limit");
	}
	
if ($curlCheck == true) :	
    ?>
<div class="wrap projectStyle">
	<div id="whiteboxH" class="postbox">
	
	<div class="topHead">
		<h2><?php echo __("Google Related Keywords Generator", "GRKG-plugin") ?></h2>
	</div>
	
	<div class="inside">
        <form action="options.php" method="post">
        <?php settings_fields("GRKG_admin_settings") ?>
            <table class="form-table">

                <tr valign="top">
                    <th scope="row"><label for="GRKG_start"><?php echo __("Enable / Disable","GRKG-plugin") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("GRKG_start") == 1) {echo 'checked="checked"';} ?> value="1" name="GRKG_start" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
                        <p class="description" ><?php echo __("Activate <strong>Google Related Keywords Generator widget</strong> on the Add New Post page.","GRKG-plugin") ?></p>
                    </td>
                </tr>                
				
				<tr valign="top">
                    <th scope="row"><label for="GRKG_limit"><?php echo __("Default Tag Limit","GRKG-plugin") ?></label></th>
                    <td>
						<input name="GRKG_limit" id="GRKG_limit" type="number" value="<?php echo $limit; ?>" class="regular-text" />
                        <p><?php echo __("Set your maximum tag count limit.","GRKG-plugin") ?></p>
                    </td>
                </tr>				
				
				<tr valign="top">
                    <th scope="row"><label for="GRKG_locale"><?php echo __("Locale Code","GRKG-plugin") ?></label></th>
                    <td>
						<input name="GRKG_locale" id="GRKG_locale" type="text" value="<?php echo $locale; ?>" class="regular-text" />
                        <p><?php echo __("Set your local code for the results. (If you live in the US but your website is Spanish, please set it as es_ES.)","GRKG-plugin") ?></p>
                    </td>
                </tr>
	
			</table>
         
      </div>
	  
	</div>
	
</div>
<?php if ( $cWoo + $cBBp >= 1) { ?>
<div class="wrap projectStyle" id="whiteboxH">
	<div class="postbox">
	<div class="topHead">
		<h2><?php echo __("Other Plugins", "GRKG-plugin") ?></h2>
	</div>
	<div class="inside">
	<table class="form-table">
	<?php if ( $cWoo == 1) { ?>
		<tr valign="top">
			<th scope="row"><label for="GRKG_start_woo"><?php echo __("WooCommerce","GRKG-plugin") ?></label></th>
			<td>
			<label class="button-toggle-wrap">
			  <input <?php if( get_option("GRKG_start_woo") == 1) {echo 'checked="checked"';} ?> value="1" name="GRKG_start_woo" class="toggler" type="checkbox" data-toggle="button-toggle"/>
			  <div class="button-toggle">
				<div class="handle">
				  <div class="bars"></div>
				</div>
			  </div>
			</label>
				<p class="description" ><?php echo __("Activate this plugin for the WooCommerce products.","GRKG-plugin") ?></p>
			</td>
		</tr> 
	<?php } ?>	
	
	<?php if ( $cBBp == 1) { ?>
		<tr valign="top">
			<th scope="row"><label for="GRKG_start_bbp"><?php echo __("BBPress","GRKG-plugin") ?></label></th>
			<td>
			<label class="button-toggle-wrap">
			  <input <?php if( get_option("GRKG_start_bbp") == 1) {echo 'checked="checked"';} ?> value="1" name="GRKG_start_bbp" class="toggler" type="checkbox" data-toggle="button-toggle"/>
			  <div class="button-toggle">
				<div class="handle">
				  <div class="bars"></div>
				</div>
			  </div>
			</label>
				<p class="description" ><?php echo __("Activate this plugin for the BBPress Topics.","GRKG-plugin") ?></p>
			</td>
		</tr> 
	<?php } ?>
	</table>
	</div>
	</div>
</div>
<?php } ?>

	<div class="wrap projectStyle" id="whiteboxH">
	<div class="postbox">
	<div class="inside">
	<div style="display:inline-block">
  
		<div class="contentDoYouLike">
		  <p><?php echo __("How would you rate <strong>this plugin</strong>?", "GRKG-plugin") ?></p>
		</div>

		<div class="wrapperDoYouLike">
		  <input type="checkbox" id="st1" value="1" />
		  <label for="st1"></label>
		  <input type="checkbox" id="st2" value="2" />
		  <label for="st2"></label>
		  <input type="checkbox" id="st3" value="3" />
		  <label for="st3"></label>
		  <input type="checkbox" id="st4" value="4" />
		  <label for="st4"></label>
		  <input type="checkbox" id="st5" value="5" />
		  <label for="st5"></label>
		</div>					
		
		<a target="_blank" href="https://codecanyon.net/user/divcoder/portfolio" class="sabutton button button-primary" style="margin: -5px 0 0 10px;"><?php echo __("Rate this plugin!", "GRKG-plugin") ?></a>
	</div>
		<?php submit_button(); ?>
	</div>
	</div>
</div>
		</form>
    <?php else:
		  echo "<div class='wrap projectStyle'> <div id='whiteboxH' class='postbox'><div class='topHead'>".__("cURL is NOT <span style='color:red'>installed</span> on this server. Please contact your server / hosting provider.", "GRKG-plugin")."</div></div></div>";
		  endif;
}

add_action("admin_init","GRKG_admin_register");
function GRKG_admin_register() {

	//Mail
	register_setting("GRKG_admin_settings","GRKG_start");
	register_setting("GRKG_admin_settings","GRKG_locale");
	register_setting("GRKG_admin_settings","GRKG_limit");
	
	if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		register_setting("GRKG_admin_settings","GRKG_start_woo");
	}	
	
	if ( in_array( 'bbpress/bbpress.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
		register_setting("GRKG_admin_settings","GRKG_start_bbp");
	}
	
}