<?php
if ( !function_exists( 'add_action' ) ) {
    echo 'Code is poetry.';
    exit;
}

if( get_option("GRKG_start") == 1 ) {
	
	/////////////////////////////
	/////////////////////////////
	/////////////////////////////
	//cURL Check
	/////////////////////////////
	/////////////////////////////
	/////////////////////////////
	function GRKG_is_curl_installed() {
		if  (in_array  ('curl', get_loaded_extensions())) {
			return true;
		}
		else {
			return false;
		}
	}
	
	/////////////////////////////
	/////////////////////////////
	/////////////////////////////
	// add Widget
	/////////////////////////////
	/////////////////////////////
	/////////////////////////////
	
	//Add Metabox
	add_action( 'add_meta_boxes', 'GRKG_add_all_meta_box' );
	function GRKG_add_all_meta_box()
	{
		add_meta_box( 'GRKG_related_keyword', __('Generate Related Keywords', 'GRKG-plugin'), 'GRKG_addmeta', 'post', 'normal', 'high' );
		if (get_option('GRKG_start_woo') == "1") {
			add_meta_box( 'GRKG_related_keyword', __('Generate Related Keywords', 'GRKG-plugin'), 'GRKG_addmeta', 'product', 'normal', 'high' );
		}
		if (get_option('GRKG_start_bbp') == "1") {
			add_meta_box( 'GRKG_related_keyword', __('Generate Related Keywords', 'GRKG-plugin'), 'GRKG_addmeta', 'topic', 'normal', 'high' );
		}
	}
	
	//Add Metabox to Product Page
	function GRKG_addmeta( $post ) {
	
		$values = get_post_custom ( $post->ID );
		
		//get Limit

		if (!empty($values['GRKG_limit'][0])) 
			$getLimit = $values['GRKG_limit'][0];
		else if (get_option("GRKG_limit") !== "")
			$getLimit = get_option("GRKG_limit");
		else
			$getLimit = "10";
		
		//get Locale
		if (!empty($values['GRKG_locale'][0])) 
			$getLocale = $values['GRKG_locale'][0];
		else if (get_option("GRKG_locale") !== "")
			$getLocale = get_option("GRKG_locale");
		else
			$getLocale = get_locale();
		

		$keyword = isset( $values['GRKG_KEYW'] ) ? $values['GRKG_KEYW'][0] : '';
		$limit = $getLimit;
		$locale = $getLocale;
		
		wp_nonce_field( 'GRKG_meta_box_nonce', 'meta_box_nonce' );
		?>
		<h4 style="font-size:14px"><?php echo __('Tag Keyword *', 'GRKG-plugin'); ?></h4>
		<p>
			<input type="text" autocomplete="off" name="GRKG_KEYW" id="GRKG_KEYW" value="<?php echo $keyword; ?>">
		</p>		
		
		<h4 style="font-size:14px"><?php echo __('Tag Limit (optional*)', 'GRKG-plugin'); ?></h4>
		<p>
			<input type="number" autocomplete="off" name="GRKG_limit" id="GRKG_limit" value="<?php echo $limit; ?>">
		</p>		
		
		<h4 style="font-size:14px"><?php echo __('Tag Locale Code (optional*)', 'GRKG-plugin'); ?></h4>
		<p>
			<input type="text" autocomplete="off" name="GRKG_locale" id="GRKG_locale" value="<?php echo $locale; ?>">
		</p>
		
		<div onclick="getData(document.getElementById('GRKG_KEYW').value, document.getElementById('GRKG_limit').value, document.getElementById('GRKG_locale').value);" class="button button-primary button-large"><?php echo __('Get the Tags', 'GRKG-plugin'); ?></div>
		<div id="setSuccess"></div>
		<div class="clear"></div>

			<?php
		}

		add_action( 'save_post', 'GRKG_meta_box_save' );
		function GRKG_meta_box_save( $post_id ) {
			// Autosave
			if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;

			// if our nonce isn't there, or we can't verify it, bail
			if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'GRKG_meta_box_nonce' ) ) return;

			// User can "edit_post"
			if( !current_user_can( 'edit_post' ) ) return;

			// Update data
			if( isset( $_POST['GRKG_limit'] ) || isset( $_POST['GRKG_locale'] ) || isset( $_POST['GRKG_KEYW'] ) ) {
				update_post_meta( $post_id, 'GRKG_limit', $_POST['GRKG_limit'] );
				update_post_meta( $post_id, 'GRKG_locale', $_POST['GRKG_locale'] );
				update_post_meta( $post_id, 'GRKG_KEYW', $_POST['GRKG_KEYW'] );
			}

		}

	//////////////////////////
	//////////////////////////
	//////////////////////////

	// AJAX

	//////////////////////////
	//////////////////////////
	//////////////////////////

	add_action( 'admin_footer', 'GRKG_AJAX_javascript' );

	function GRKG_AJAX_javascript() { 
		if (stripos($_SERVER['REQUEST_URI'], "?post_type=product") !== false ) {
			$echoType = "new-tag-product_tag";
		} else if (stripos($_SERVER['REQUEST_URI'], "?post_type=topic") !== false ) {
			$echoType = "new-tag-topic-tag";
		} else {
			$echoType = "new-tag-post_tag";
		}
		
	?><script type="text/javascript">
		function getData(myTerm, myLimit, myLocale){

			var data = {
				'action': 'GRKG_ajax',
				'getAjaxWPTerm': myTerm,
				'getAjaxWPMax': myLimit,
				'getAjaxWPLocale': myLocale
			};

			jQuery.post(ajaxurl, data, function(response) { <?php 
			if(use_block_editor_for_post($post)) {?>
			document.getElementById("setSuccess").innerHTML = "<br><div style='margin-top:1rem'><textarea class='components-textarea-control__input' id='inspector-textarea-control-0' rows='4'>"+response+"</textarea></div><br><p class='showSuccess alert alert-success'>Success! Copy and paste into Tags.</p>";
			<?php } else { ?>
			document.getElementById("<?php echo $echoType; ?>").value = response;
			document.getElementById("setSuccess").innerHTML = "<p class='showSuccess alert alert-success'>Success! Please check the Tags Widget.</p>";
			<?php } ?>
				
				$(".showSuccess").delay(3600).fadeOut(600);
			});
		}
		</script><?php
	}


	add_action( 'wp_ajax_GRKG_ajax', 'GRKG_ajax' );

	function GRKG_ajax() {
		global $wpdb; // this is how you get access to the database

		if(isset($_POST['getAjaxWPTerm'])) {
			$term = urlencode($_POST['getAjaxWPTerm']);
			$getLimit = $_POST['getAjaxWPMax'];
			$getLocale = $_POST['getAjaxWPLocale'];
			
			$getLocale = str_replace("_", "-", $getLocale);

			$get_useragent = $_SERVER['HTTP_USER_AGENT'];

			$url = 'https://api.bing.com/osjson.aspx?query='.$term.'&setmkt='.$getLocale;
			$ch  = curl_init();
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			curl_setopt($ch, CURLOPT_ENCODING, 'gzip, deflate');
			curl_setopt($ch, CURLOPT_USERAGENT, $get_useragent);
			curl_setopt($ch, CURLOPT_REFERER, "https://google.com");
			$result = curl_exec($ch);
			curl_close($ch);

			$resultInArray = json_decode($result, true);

			//
			$resultCount = count($resultInArray[1]);

			for ( $i = 1; $i < $resultCount; $i++ ) {
				echo $resultInArray[1][$i].', ';
				
				if ( $i == $getLimit) 
					break;
			}
		}
		
		wp_die();

	}
}